org.keycloak.services.resources.admin

## Class IdentityProviderResource

- java.lang.Object
- - org.keycloak.services.resources.admin.IdentityProviderResource

-     public class IdentityProviderResource
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderResource(RealmAuth auth, RealmModel realm, KeycloakSession session, IdentityProviderModel identityProviderModel, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `addMapper(IdentityProviderMapperRepresentation mapper)` Add a mapper to identity provider
    `javax.ws.rs.core.Response` | `delete()` Delete the identity provider
    `void` | `delete(String id)` Delete a mapper for the identity provider
    `javax.ws.rs.core.Response` | `export(javax.ws.rs.core.UriInfo uriInfo, String format)` Export public broker configuration for identity provider
    `IdentityProviderRepresentation` | `getIdentityProvider()` Get the identity provider
    `IdentityProviderMapperRepresentation` | `getMapperById(String id)` Get mapper by id for the identity provider
    `List<IdentityProviderMapperRepresentation>` | `getMappers()` Get mappers for identity provider
    `Map<String,IdentityProviderMapperTypeRepresentation>` | `getMapperTypes()` Get mapper types for identity provider
    `javax.ws.rs.core.Response` | `update(IdentityProviderRepresentation providerRep)` Update the identity provider
    `void` | `update(String id, IdentityProviderMapperRepresentation rep)` Update a mapper for the identity provider
    `static void` | `updateIdpFromRep(IdentityProviderRepresentation providerRep, RealmModel realm, KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProviderResource

          public IdentityProviderResource(RealmAuth auth,
                                          RealmModel realm,
                                          KeycloakSession session,
                                          IdentityProviderModel identityProviderModel,
                                          AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getIdentityProvider

          @GET
           @Produces(value="application/json")
          public IdentityProviderRepresentation getIdentityProvider()

      Get the identity provider
      Returns:

    - #### delete

          @DELETE
          public javax.ws.rs.core.Response delete()

      Delete the identity provider
      Returns:

    - #### update

          @PUT
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response update(IdentityProviderRepresentation providerRep)

      Update the identity provider
      Parameters:
        `providerRep` -
      Returns:

    - #### updateIdpFromRep

          public static void updateIdpFromRep(IdentityProviderRepresentation providerRep,
                                              RealmModel realm,
                                              KeycloakSession session)

    - #### export

          @GET
           @Path(value="export")
          public javax.ws.rs.core.Response export(@Context
                                                                              javax.ws.rs.core.UriInfo uriInfo,
                                                                              @QueryParam(value="format")
                                                                              String format)

      Export public broker configuration for identity provider
      Parameters:
        `uriInfo` -
        `format` - Format to use
      Returns:

    - #### getMapperTypes

          @GET
           @Path(value="mapper-types")
          public Map<String,IdentityProviderMapperTypeRepresentation> getMapperTypes()

      Get mapper types for identity provider

    - #### getMappers

          @GET
           @Path(value="mappers")
           @Produces(value="application/json")
          public List<IdentityProviderMapperRepresentation> getMappers()

      Get mappers for identity provider

    - #### addMapper

          @POST
           @Path(value="mappers")
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response addMapper(IdentityProviderMapperRepresentation mapper)

      Add a mapper to identity provider
      Parameters:
        `mapper` -
      Returns:

    - #### getMapperById

          @GET
           @Path(value="mappers/{id}")
           @Produces(value="application/json")
          public IdentityProviderMapperRepresentation getMapperById(@PathParam(value="id")
                                                                                                                                           String id)

      Get mapper by id for the identity provider
      Parameters:
        `id` -
      Returns:

    - #### update

          @PUT
           @Path(value="mappers/{id}")
           @Consumes(value="application/json")
          public void update(@PathParam(value="id")
                                                                                                    String id,
                                                                                                    IdentityProviderMapperRepresentation rep)

      Update a mapper for the identity provider
      Parameters:
        `id` - Mapper id
        `rep` -

    - #### delete

          @DELETE
           @Path(value="mappers/{id}")
          public void delete(@PathParam(value="id")
                                                                  String id)

      Delete a mapper for the identity provider
      Parameters:
        `id` - Mapper id

Copyright © 2016 JBoss by Red Hat. All rights reserved.